Introduction

What the heck is this???
 NESten actually started as a fruit & vegetables emulator. Titled M.U.R.D.E.R (My unnamed rodent didn't eat rice), this was a test to see how long it would be before cavities would develop in the human mouth. Actually, wait, no. The term "NESten" is a Norwegian word for "almost". Therefore, NESten is "Almost NES". Get it? Didn't think so.

The project began as a test to see how well emulation of the NES could be done in Delphi. Amazingly enough, the emulator can run full speed on a 166 MMX (with sound enabled, a decent video card is recommended).

If you don't like the emulator, you're welcome to try out other emulators, such as N'tendo, iNES and Pretendo.


Supported Features
  • NESten fully supports the following mappers:

  • 0 (none)
  • 1 (MMC1)
  • 2 (UNROM)
  • 3 (CNROM)
  • 4 (MMC3)
  • 6 (FFE F4xxx)
  • 7 (AOROM)
  • 9 (MMC2)
  • 10 (MMC4)
  • 11 (Color Dreams)
  • 19 (Namcot 106)
  • 21 (Konami VRC4)
  • 22 (Konami VRC2 Type A)
  • 23 (Konami VRC2 Type B)
  • 24 (Konami VRC6 A0/A1)
  • 26 (Konami VRC6 A1/A0)
  • 32 (Irem G-101)
  • 33 (Taito TC0190)
  • 34 (Nina-1)
  • and 40 (SMB2j Lost Levels)

  • NESten partially supports the following mappers:

  • 16 (Bandai)
  • 17 FFE F8xxx)
  • 25 (KONAMI)
  • and 65 (Irem H-3001).

  • Ability to play NSFs (NES sound files). Denoted as Mapper 666. (The number 666 is a coincidence!)
  • Save States (Standardized NES save state SS?)
  • Movie recording (NESten's own format: SM?)
  • 4 player support
  • Fast Scanline based renderer
  • 8x8 and 8x16 sprites
  • Recompiling 6502 core (all opcodes emulated) and Interpretive core
  • Horizontal and Vertical Scrolling
  • SRAM saving
  • Emulates all NES sound channels:
    • Square 1
    Square 2
    Triangle
    Noise (not 100% perfect)
    PCM (including RAW PCM support)
    VRC6 (for games such as Castlevania 3 japanese)
  • Support for all controllers that support DirectInput (up to 4)
  • WAV logging
  • Cheat finder
  • Fullscreen mode (320X240 & 640X480 for scanlines)
  • Multiple palette support (just load a .PAL file)
  • And so much more, your brain will freeze over!


Unsupported and Known Issues
  • Timing is not perfect
  • Not all mappers are emulated perfectly (anyone have additional info?)
  • The GUI is not visible in the fullscreen mode.
  • Switching desktop color depth while NESten is running sucks.
  • Scanlines in fullscreen mode are buggy for some people.
  • fullscreen mode may be slower for some people.
  • No extra peripheral support (lightgun, powerglove, who cares anyway?)
  • If you have less than a P166, you won't have too much fun.
  • Depending on your luck, you may get some crashes while using NESten (don't worry though, usually it won't crash Windows)
  • If the sound is out of sync, try stopping and running the emulator (press ESC, then press F2). This usually solves the problem.


Version History

--------------------                             2/27/00
What's New in NESten
--------------------
NESten 0.6 β Doomsday (2/27/00)

  • Finally fixed weird colors for good? (Please let that be a yes :).
  • Added a mapper header editor for .NES files.
  • Moved all mappers out to DLL files.
  • Some mapper 4 games may work differently now (an unknown fix in the mapper 4 emulation fixed Ninja Gaiden II, but scrambled Ninja Gaiden III's vertical scrolling)

NESten 0.6 β Cataclysm (2/19/00)

  • Fixed problem with Save RAM where it would not save unless the Save RAM already existed.
  • Fixed a wicked problem. (Which caused crashes)
  • Hopefully restored "weird"/incorrect colors on some computers.
  • Added Recently opened files.
  • Added Reset configuration.
  • Now remembers window position and size.

NESten 0.6 β Belzebub (2/11/00)

  • Save RAM Save/Load problem fixed. (I hope)
  • Color emphasis added. (Final Fantasy 1, Fantastic Adventures of Dizzy)
  • Black/White mode added (SMB3)
  • Thread handling partially changed.
  • Mapper40 added (SMB2j, "Lost Levels" ;)
  • PPU Bug fixed (Fixes Simpsons, Bigfoot)
  • Rewrote some DDraw handling. May be slower, but should be more compatible.

NESten 0.6 β Apocalypse (2/5/00)
  • FINALLY got a README file :) Muchos Greatos Thanks to Zophar.
  • Added Palette Console, you may now edit the palette to your liking... and save it!
  • Mapper25 added.
  • The value search in the cheater now accepts numbers greater than 255.

NESten 0.6 β 9 (1/27/00)

  • 2x screen mode, makes use of 640x480 fullscreen instead of 320x240.
  • 2x screen mode allows usage of 100% scanlines.
  • Whole lotta core bugs fixed. (I had forgotten an opcode :P)
  • Mapper 1 fixed, now (nearly) all MMC1 games work.

    Whoopsie...

  • Only the 512k version (correct dump) of Dregon Warrior IV will work.
  • Please delete the old .INI files. (They will still work, but contains old info :)

NESten 0.6 β 8 (1/23/00)

  • RAW PCM added. Adds voice and *THWUMPS* to games
  • Game Genie Codes.
  • Saving/Loading of Cheats.
  • Sound Engine now requires way less CPU power.
  • Illegal opcode showing is now optional.
  • Dynamic fullscreen mode is now removed.

NESten 0.6 β 7 (1/19/00)

  • Added Autofire. (For you lazy guys... YOU KNOW WHO I MEAN :)
  • 8bpp static palette fullscreen speedup.
  • General speedup. (But not as much as certain people want...)
  • Cheat Searcher (you cheaters!)
  • Core bugs fixed. (OOps)

NESten 0.6 β 6 (1/15/00)

  • 4 Players support now. (Have a party eh? :)
  • Fixed mapper 4 IRQ some. (please let me know if it broke something)
  • Fixed Bubble Bobble. (might have fixed other games too)
  • Palettes can be changed/loaded. (.PAL extension)

NESten 0.6 β 5b (1/11/00)

  • Joysticks work again.
  • Scanlines now actually do something.

NESten 0.6 β 5 (1/11/00)

  • Fixed 2 core bugs. (FF1, Metroid, Kid Icarus now work)
  • Added NESten float mode.
  • Added drag'n'drop of .NSF & .NES files to NESten.
  • Added commandline to NESten, you may now associate NESten with .NES & .NSF files.
  • Added Scanlines 50% mode. (please use software Buffers if you notice slowdowns)
  • Changed the palette file.
  • Changed NESten icon and ROM Loader icons.

NESten 0.6 β 4 (1/9/00)

  • Fixed frameskipping.
  • Added Fast forward key. (Press BACKSPACE)
  • NESten should now work with NT again (But without sound??)
  • Oh. Anyone wanted a configuration file?
  • Wav logging, for those of you who really need it :)
  • Added a new Fullscreen mode.
  • Minor changes to sound.

NESten 0.6 β 3 (1/7/00)

  • Done some changes to Sound. (PLEASE let me know if you like it better now!!)
  • Made ROM Loader a lot faster when updating!
  • Now should work with DirectX 5.0...
  • Mapper9 and 10 should be near perfect now.
  • Zip file support in ROM Loader.

NESten 0.6 β 2 (1/5/00)

  • Fullscreen mode.
  • Better DirectX handling (?)
  • Requires DirectX 6.0 (I'll try fixing this as soon as possible :/ )

NESten 0.6 β 1 (1/3/00)

  • Initial release. What a way to start off 2000, eh?

LUCIFER IS YOUR TRUE GOD!


Mapper Programming

Programming Mappers
 As of Version 0.6 β Doomsday, TNSe has moved the mapper coding out to external DLL files. What does this mean? Well, you can now program mapper support for NESten yourself!

By using DLLs, TNSe has made mapper emulation easier, since he can now work on a particular mapper without risking the compatibility of the others (no more "I fixed this game, but it broke this other game" situations.)

If you are interested in programming mapper support, head to http://tnse.zophar.net, and look for the Mapper SDK (Software Development Kit) zip file on the main page. It contains instructions on building your files, the source code of all the mapper DLLs in Delphi 3.0, and an example in Visual C++ 6.0 written by Jabo (the author of JNes).

Note that the DLLs do not have to be written necessarily in Visual C++ or Delphi. You can use the language of your choice (even Basic if you have a lot of guts =P).


Working The Emulator

To have fun playing with yourself in NESten, you should have a P166 or higher (P200+ is recommended for playing with sound). The following should help you learn how to run the emulator in the event that you have a brain lock and can't figure it out on your own. ;) Having said that...

Writer's note: Zophar said that, not me! :p


File Menu

Load ROM (F1)
  • This opens up the NESten Load Dialog, where you may load a ROM or NSF, sort them by name, flags, mapper name, mapper number and CHRs, as well as get information on the many mappers that NESten supports. This menu is more informative than the generic load dialog. As of version 0.6 β Doomsday, you can no longer load Roms that have non supported mappers. The bar on top will show the progress of the directory scanning.

If you right click on a selected NES rom, you can edit the header, refresh the list or save the rom list as a text file.

By the way, NESten also supports Zip files.

Just choose the file and double-click it, and...

Voila! You've just opened it like a new subdirectory! Please note, however, that the file properties (mapper, PRGs, etc...) will not be displayed. The rom will be temporarily extracted to the directory where you unzipped NESten.Within this, you have 3 menu options:
  • Options
    You can choose to Load Rom Info: if this is unchecked, the list will appear faster;
    View supported mappers displays the list of supported mappers;
    Close closes the dialog.
  • Recent Files
    Displays a list of the most recently accessed files.

  • View Type
    This option lets you choose from view types like Windows Explorer.

Load Dialog (Ctrl+F1)
  • The generic load dialog for NESten. Fans of iNES and BioNES will recognize it. You can load NSFs and ROMs through this as well, but you can't open zip files this way.

Unload ROM (Shift+F1)
  • Frees the currently loaded ROM from memory.

Reload Mapper Cache
  • This is useful only if you are programming a Header DLL. It makes NESten check for new DLLs in the Mappers subdirectory. Be aware that you must not use this option while the emulator is running a ROM image. Doing so will crash the emulator.
Priorities
  • Use this option to change the priorities for the core & rendering engine, and the sound core. If you notice NESten lagging when many programs are open, you'll want to set these higher.

Reset Configuration
  • Deletes the Nesten.INI file, effectively resetting all of your options.

Quit (Alt+F4)
  • Use "Quit" to open up the ROM downloading script. Works in conjunction with Alt + F4 in mIRC. ... actually, it just quits the emulator.


CPU Menu

Run (F2)
  • Starts emulation. Useful if you just hit "Stop" and want to resume the game.

Stop (F3)
  • Stops emulation. Useful if you find the need to pause the game to take a quick leak.

Save State (F5)
  • Saves the game's state in .SS? format.

Load State (F8)
  • Loads the game's state in .SS? format.

Prev Slot (F7)
  • Changes the save state slot to the previous slot.

Next Slot (F9)
  • Changes the save slot to the next slot.

Incremental Saving
  • With Incremental Saving on, every time you save state it automatically changes to the next slot without asking. Quite useful. (TNSe made me say that.)

Record Movie (Ctrl+R)
  • Records a NES movie of you playing with yourself in .SM? format.

Play Movie (Ctrl+P)
  • Plays a NES movie of you playing with yourself in .SM? format.

Stop Movie
  • Stops a NES movie of you... ahh you get the point.

Hard Reset (F4)
  • Resets the game as if you had just turned off the NES.

Soft Reset (Shift+F4)
  • Resets the game as if you had just pushed the 'reset' button on the NES.

Use Interpretive Core (Ctrl+I)
  • Choosing this option will allow NESten to use the slower core. Useful in rare cases where there's a bug with the recompiling core.

Show illegal ops
  • If checked, allows NESten to display illegal opcode messages when it hits them.

Timing
  • This option is for advanced users who wish to fiddle with the NES's timing. This also fixes weird bugs like in Castlevania 3. Be careful though, some games may freeze beyond restoring if you mess with this dialog too much or set the values too high/low.

Cheat Console
  • Allows you to enter Game Genie codes & use the cheat-finder. See How To Cheat for more information.


Cheat Menu

Cheat Console

Searching:

New Search
  • Starts a new search

Delete Search
  • Deletes the selected search in progress.

Delete *ALL*
  • Deletes ALL searches in progress.

Search Type
  • There are two search types you can choose from:
    Value - This is useful if you know precisely the value you're looking for
    Change - Very useful if you're not sure what the value is (energy bars etc.)

Search Parameters:

Search For
  • The value you are searching for.

Start Search
  • Searches for the value.

Search Controls:

Start Search
  • Initialises the search.

Value has Increased
  • The value has increased after the last time the search was updated.

Changed
  • The value has changed after the last time the search was updated.

Equal
  • The value hasn't changed after the last time the search was updated.

Value has Decreased
  • The value has decreased after the last time the search was updated.

Search Results:
  • This list show the results of your search. If too many results are found, they won't be displayed.

Add to Cheats
  • Adds the selected cheat to the list of cheats

Cheating:

Enable Cheating
  • Enables cheating, lowers performance and your morale.

Add Address
  • Adds a raw RAM patch to the cheat list.

Add GG Code
  • Adds a Game Genie code to the cheat list.

Delete Cheat
  • Deletes the selected cheat.

Delete *ALL*
  • Deletes ALL cheats.

Rename Cht
  • Allows you to change a cheat's description to a more recognizable form.

Load Cheats
  • Loads the cheats from a .CHT file

Save Cheats
  • Saves the cheats to a .CHT file

Cheat:

Current Val
  • Value of the selected cheat.

Set To
  • Sets the value of the cheat to this.

Freeze Value
  • Freezes the value of the cheat to its current state (doesn't allow it to change).


How to Cheat

NESten 0.6 Beta Cataclysm: Cheat.txt             2/11/00

Written by Jukka "Vector" Heino for TNSe

--------------------
Searching for cheats
--------------------
I want to tell you why cheating is not recommended. First, using cheats will affect the speed of emulation. Second, you'll just ruin the fun of those wonderful classic games. Third, I'll send my bloodhounds after ya ;)

Now, fire up The Legend of Zelda and start a new game. Our objective is to find where the value for Rupees is located. In the beginning, you have 0 rupees. So, bring up the cheat console (CPU->Cheat Console).

Click "New Search". "Empty Search" will appear on the search list. Select it by clicking it. Now look at "Search Type". You know the accurate value of Rupees, so select "Value". Because we have 0 Rupees, type 0 in the "Search For" box and click "Start Search". Now NESten will make a search on every 0 value in memory.

Now continue the game, go kill a monster and get a Rupee. Return to the cheat console. Now we have 1 Rupee, so you type 1 in the "Search For" box and click "Refine Search". You should now see a list of results for the search in the "Search Results" list. There are still many of them and trying them manually would take too much time, so you decide to go on with the search.

Now kill another monster and grab a Rupee. Go back to the cheat console and search for the amount of Rupees you have. Depending on your luck, the "Results" list may now show one or more results. If it shows only one, you can add it to the cheats. If there's more, you can repeat the steps until only one entry is shown.

I shall tell you about the cheat list now. Before you start mailing, asking why the cheats don't work and planning the assassination of TNSe, try checking the "Enable cheating" box. This has proven to be a quite necessary step in the process... Now where was I? Oh yes, I was telling you about the cheat list. You should now see your brand new and shiny cheat in the list. Click on the checkbox before the cheat. Now you can see the current value of the cheat, set it or freeze it. You want to have unlimited rupees, so you type 99 in the "Set To" box and click "Set To" and check the "Freeze Value" box. Now you will always have 99 Rupees...

If you're getting frustrated searching for the cheats every time you play the game, why not try clicking the "Save Cheats" button (after you have some cheats in the list, that is :P)... Now you can just click "Load Cheats" and your cheats will appear to the list :)


Video Menu

Fullscreen (F10)

  • NESten will run in a 320X240 or 640X480 fullscreen mode depending on the window size. Fullscreen mode is usually faster than windowed mode.

Always on Top (F9)

  • Allows NESten to 'float' when focus is not on it.

Sleep while Sync'ing
  • Helps preserve CPU by NESten not using as much CPU while vsync is on.

Sync
  • Allows you to choose how NESten syncs itself: 60FPS (Shift + F5), 50 FPS (Shift + F6), monitor refresh rate (Shift + F7), or off (Shift + F8). 60 FPS is recommended for all NTSC games, 50 FPS for PAL. No Sync will cause the game to run uncontrollably fast.

Size

  • Allows you to choose 1X size (Ctrl + N)or 2X (Ctrl + D) size windowed mode. "Maintain Aspect Ratio on Stretch" (Ctrl + M) allows you to stretch the window without distorting the ratio. This feature makes the emulator slow down some if the window is not near 1x or 2x size.

Skip
  • Lets NESten skip frames. This should never be set on unless you have a very slow computer and find NESten dragging along.
    (Hardware upgrade recommended instead :)

Buffer
  • Can be set to software, hardware or Auto. This setting should only be altered if you're having video problems.

Render Background (Ctrl + B)
  • If enabled, renders the background.

Render Sprites (Ctrl + S)
  • If enabled, renders the sprites.

256X224 (NTSC) (Ctrl+A)
  • This should always be on unless you're playing PAL games. NTSC games played with this setting off will result in the top part and lower part of the screen not being clipped, which can look weird.

Effects
  • This allows you to choose 100% scanlines, which makes your hi-res monitor look like a crappy T.V. Useful! (Does however, give a little speed increase).

Without Scanlines
With Scanlines on

Palette Console

  • This option opens the Palette Console.
    The Palette console allows you to load a different palette, modify a palette, save a palette etc. You can choose from the ones that come with NESten or you can create one yourself.


Sound Menu
Enabled (Ctrl+E)
  • Enables sound. Should always be on unless you have a very slow computer or a hearing disability.

Buffers
  • Changes the sound buffering numbers. Only tinker with this setting if you find your sound crackling or lagging (useful for crappy $5 SB clones).

Channels
  • Lets you choose which channels to turn on/off. Useful if you're bored, or if a particular channel sounds strange and you want to submit a bug report.

Start / Stop Logging to WAV (Ctrl+W)
  • You can log any NES tune to WAV with this option on. Be warned, however, 44100Hz 8 bit mono WAVs do take up a bit of space (About 44K a second). Time to break out the MP3 encoder.


Input Menu
Player 1 input
  • Allows you to select the keyboard or joystick controls and configure them for player 1.

Player 2 input
  • See above.

Player 3 input
  • See the above "See above".

Player 4 input
  • See above the "See the above"'s See above.


View Menu

Stats
  • Displays FPS (frames-per-second) counter and total frames counter.

Debugger
  • Opens the Debugger window (Disabled).

Info
  • Opens the Info window that displays ROM header information such as PRG/CHR size and mapper #.

Recompiler Data
  • Displays Recompiler Data. (Right-Click on one to make a .DMP file)

NSF control
  • Allows you to change between different tracks in an NSF file.

DirectX Information
  • Displays DirectX information. Used for bug submitting purposes.

About
  • Opens the about window which displays version #, contact information and thank-yous.


NSF Control
This is the main screen of the NSF control.

The screen is pretty self-explanatory, but here goes:

Song
  • Displays the Name of the game music being currently played.

Artist
  • If available, displays the author(s).

Comp:
  • Displays the company that published the game and the year it was created.

Songs
  • Displays the number of songs and/or sound effects available.

Selected
  • Shows which song is selected, but not necessarily playing.

Playing
  • Shows the number of the song being played.

Play/Stop
  • Plays / stops the selected song.

The bar beneath this info is a selection bar; you can use it to scroll to the song that you want to listen to; clicking to the left of the bar slides it one song back at a time, clicking to the right does the same (but forward).

If you're looking for a huge assortment of NSF files, head to
http://www.zophar.net/nsf/


Coming Soon...

To Be Announced...


Thanks And Greetings to the following

Thanks and Greetings to:

Zophar - For writing the documentation, beta-testing at 4 in the morning, and hosting the official NESten homepage @ tnse.zophar.net. Be sure to visit www.zophar.net for all your emulation needs.

WARNING: These names have been put in a RANDOM order by a semi-sentient program!

Repulse, nyef, Jabo, y0shi, [_TRAC_], Neill1712, MickoZ, /Firebug/, Tom-Servo, Niiru, ][ellbent, Azimer, orkim, kevtris, Bananmos, [Vector], SnowBro, _Bnu, Crix0r, Memblers, Lycia, ReaperSMS, W1k, TwoBear, c003y, EFX, loopy, JL_Picard, Quietust, Destop, NeoBlaze, {Slime}

... And the rest I forgot to type in. (or they change nicks so often that I don't remember it :P) (and to make the bots happy, |2099| and Jaellyn)

AND ALL YOU OTHER ON #n(letters left out,private channel), #sn(yet another private channel), #ZopharsDomain,#kinox.

AND YOU. YES, EVEN YOU :)


Contacting TNSe
 You can reach TNSe at TNSeOWNZ@zophar.net

Nesten's Official Homepage located at: http://tnse.zophar.net

Bug reports can be posted on the NESten messageboard.

Questions or bug reports for spanish speaking people can be answered by Kitsune Sniper.

PRAISE SATAN! (But do it before it is too late!)


Credits for this Help File

Help File Credits
TNSe
He's the guy that wrote the emulator. So thank him!

Brad "Zophar" Levicoff
For writing the original Readme.txt file.

Wk1
For writing the original NESTEN FAQ.txt file.

Jukka "Vector" Heino
For writing the original Cheat.txt file.

Fabiano Lopez
For creating RockNes, and also writing about mappers (sorry for plagiarizing you!)

David "Kitsune Sniper" Silva García
For having the idea of making help files using a pirated... er, borrowed version of HTML Help Workshop.

Thanks For Reading this help file!

Finished on friday March 3, 2000.

Damn! I've got to cut down on caffeine!


Kitsune Sniper's Thanks & Requests

Kitsune Sniper's Thanks

Thanks to:
The same people that TNSe thanked (even though I don't know any of them)and also:

TNSe
For letting me create this file and patiently answering my complaints on the message board.
Luigi85, from the message board
for the tips on improving the help file, about 50 minutes after uploading the original version! Your tips helped me decrease the size by 100K!

Now for the requests...
The only pay that I want is feedback. Tell me what you liked or disliked, how to make this project better, etc. Please email me! I've just changed my email address; send it to kitsune@terra.com (talk about great luck!) and start complaining! also, you can post on the NESten messageboard, addressed to "Kitsune Sniper".

Also, when I make a seemingly dumb question, humor me. I'm not as knowledgeable as most people (hell, I don't even know what ICQ is! =P)

Thanks for reading this file.
Compiled by Kitsune Sniper, March 3, 2000


Help Version History

Help file Version History

Remember that you can always find the latest version of this help file at http://kitsune.webjump.com/nesten.html.
Version 3 (β Doomsday) (March 3, 2000)
Added a search tab. I'm no longer numbering the help file after the program that it's based of, just adding topics. From now on it's just "Nesten 0.6 Beta Help", and the file name is Nesten.CHM. I'm also making this file using Style sheets, and I stole the background and the font colors from the Nesten homepage. If anything bothers you, please e-mail me!

Version 0.6 β Cataclysm (February 22,2000)
Second release, now looks fine on an 800x600 monitor. Reorganized some pages, added Help History, Kitsune Sniper's Thanks, NEZ & NSF Files, and remade the look of the pages (Thanks Luigi85!). I also added a disclaimer page (something which must have gone unnoticed before, but better safe than sorry! ;)

Version 0.6 β Belzebub (February 19, 2000)
Initial Release... even though β Cataclysm was released in this date!
Seriously though, I designed it for a 1024x768 monitor (my resolution), so some people may have noticed that the images were a bit too big. Sorry about that.


Frequently asked Questions

I decided to keep this section so that the FAQ included with the emulator would get more questions answered, to print some of the best questions (and answers) from the message board, to solve some problems with the installation of NESten, and to include a type of "glossary" for the newbies.

Don't blame anyone but Kitsune Sniper for this section.


W1k's FAQ

NESten FAQ (v0.6 beta Doomsday)
Written by W1k (w1cc4@hotmail.com)
Annotated by Kitsune Sniper (kitsune@terra.com)
FAQ version .70 (03 March 2k)

Go get the latest NESten now! @ http://tnse.zophar.net/
---------------------------------------------------------
Q: Is there a way for me to adjust the sound output?
A: Nope.

Q: I started up my ROM, and I got this message about an "Unknown Opcode". What's going on?
A: The game is simply not supported by NESten yet. However there are some games, like Contra, that only have 2 or 3 unknown opcodes, and the rest of the game works fine. To stop displaying the messages, click the "Show Unknown Opcodes" option on the CPU menu.

Q: The ROM browser takes forever to load! What can I do about this?
A: Well, firstly, you can try telling it not to load the ROM info by unchecking the "Load ROM Info" item on the Options menu. That'll make it go a little faster. But if I'm correct in thinking exactly how long 'forever' is, just try this. On the main NESten window go to File->Load Dialog. This will bring up the Win32 file dialog. It's much faster than the ROM browser, IMHO.
*New!* Straight from the man himself.
<@TNSe> it might also help to check the Video->sleep while Sync'ing option if a game is running.
<@Kitsune> You could also try stopping or pausing the emulator (not the game).

Q: Wow, it's kinda slow. How can I speed it up some?
A: Well, first off, if your video card/DirectX supports it, full-screen should be faster. To set full-screen, just go to the Video menu and make sure "Fullscreen" is checked before you start your game. If that doesn't work, you can also try using frameskip. Just set the appropriate level on the "Skip" submenu of "Video". You can also turn off sync, which does tend to slow *any* emulator down some.

Just check the "No sync" option of of the "Sync" submenu. (A pretty penny if you can guess where this is. =P ) Depending on the video card you are using, the "No sync" option may cause the emulator to run extremely fast, depending on your video card . Also, A good idea is to set "Buffers" on the Video menu to use Software buffers, unless your video card has a ton of RAM. You could also try turning off the "Sleep while sync'ing" option, found on the Video menu. Additionally, you can try lowering your BPP and screen resolution. 640x480x16bpp should present no problems.

Q: Are the save states/movies compatable with NESticle's?
A: Uhm, no. ^_^. Maybe someone could write a Nesticle to Nesten save state converter? (DEFINITELY not me... =^( )


So what the heck is a mapper?!

A mapper is a chip present in game cartridges. It does some functions for the game, such as graphic switching (characters & graphics), PRG pages (data like music, stage data or the game's own program), IRQs, extra sound channels, and other stuff.

When a game uses a mapper, the CPU (central processing unit) writes to some memory areas, mostly to $8000-$FFFF. Each address does something, or a range by itself.

To get the games to work, the emulators must emulate these chips first. There aren't many documents available on mappers, and the few that do exist have little information on them; without this information you can't get some roms to work on an emulator.

The authors write functions to emulate mappers, which have an identification, such as a number, chip ID, board, etc.

Plagiarized... um, I mean based on the information found in the readme.txt of RockNes.


NEZ Files

You may wonder what's wrong with these files. Well, the only two emulators that support these files are FWNES, by FanWen Yang (near perfect support), and another one (i forgot the name). This file format is not at all different from the regular iNES format (.NES); the only difference is the extension. These files are regualrly pirated/unlicensed versions of NES games, which most likely were created/manufactured in Taiwan or China.

An example of a pirate/unlicensed game is Tekken 2. I downloaded it because I was curious, and didn't believe that it existed. It turns out that it uses Mapper 90, which of course is not emulated in Nesten (try loading it in a version prior to β Doomsday and see for yourself how it plays).

Anyway, there is no difference from this format and the regular NES format. It's just a matter of the mapper being used and emulated.

Remember that to be able to play these files, you must be using an older version of the emulator.


NSF Files

NSF Format
 The NSF Format was standardized (so to speak) by Kevin Norton. It was designed to allow music players to play back music code ripped from NES/Famicom games, using a standardized interface. The format itself is called NESM, but it's referred by its extension, NSF.

A NSF file consists of 6502 assembly code, and that code is the music of the game. This code gives the orders to the sound chip how to play the music or sound effects (tones, beeps, order, length, etc.). To rip music from a NES Rom, one must know assembly, and is quite a lot of work, but there are some great documents available such as Kevin Norton's NESM specification, or the NES Music Ripping Guide, by Chris Covell.

Most NSF files have all the songs of a particular game and its sound effects (like the NSF of Ninja Gaiden III), or just songs (Akumajou Densetsu).

To find lots and lots of NSFs, head to http://www.zophar.net/NSF/


Roms not loading or not supported?

Roms not supported even though they really are?

The roms won't load, or the emulator says that the mapper is not supported, even though it is!

This happens when you don't unpack the files right. You have to respect the directories that are specified within the zipped file. If you use PKUNZIP, follow this command line:

PKUNZIP -d Nesten06x.zip
where Nesten06x.zip is changed to the file's name.

Or from Winzip, Press Extract, and choose the directory; be sure to check the "Use Folder Names" box to extract the files and create the directories.

Using either of these methods will respect the directory structure that was originally intended. If you're too lazy to unpack it again, create a subdirectory called "Mappers" (without the quotes) from within the Nesten directory, and copy all the DLL files that are named Mapper(number); leave UnzDLL.dll where it is. This should fix the problem.

But, if you're trying to load a game with a mapper that was partially supported before (such as Mapper 5, used on Castlevania III), you're out of luck. TNSe has removed the support completely for now. Use Beta Cataclysm instead to play these files.


Disclaimer

Neither TNSe (author of the software), nor David "Kitsune Sniper" Silva (author of the help file) are responsible for any damages, direct or indirect, that may occur by using NESten. Even though the author has taken measures to insure that such a catastrophe doesn't happen, there's no guarantee that it won't. Use at your own risk.

Also, this software must never be distributed with roms.

Nintendo is a trademark.
Nintendo Entertainment System, Famicom and all related products are trademarks of Nintendo, Co..
Game Genie is a trademark of Lewis Galoob Toys, Inc.
Windows and DirectX are trademarks of Microsoft Corp.

All other games mentioned are trademarks of their respective companies.

Neither of the authors of each project (the emulator and the help file) are affilliated in any way with these companies.


Nesten

NESten created by TNSe.

Original Readme.txt file by Brad "Zophar" Levicoff.

Original FAQ written by Wk1.

The original cheat.txt file was created by Jukka "Vector" Heino.

The Nesten logo was created by Jabo.

HTML Help File adapted and compiled, and the rest of the files annotaded by David "Kitsune Sniper" Silva